/* License added by: GRADLE-LICENSE-PLUGIN
 *
 * Copyright 2008-2012 XebiaLabs
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.xebialabs.overthere.cifs.winrm.tokengenerator;

import com.xebialabs.overthere.cifs.winrm.TokenGenerator;
import org.apache.commons.codec.binary.Base64;

public class BasicTokenGenerator implements TokenGenerator {

	private String username;

	private String password;

	public BasicTokenGenerator(String username, String password) {
		this.username = username;
		this.password = password;
	}

	@Override
	public String generateToken() {
		String credentials = String.format("%s:%s", username, password);
		return "Basic " + Base64.encodeBase64String(credentials.getBytes());
	}

}

